summaryrefslogtreecommitdiffstats
path: root/modules/tozt/files/post-receive
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2018-11-13 00:19:06 -0500
committerJesse Luehrs <doy@tozt.net>2018-11-13 00:19:06 -0500
commitbf33ac997636c4b6c199cfff1e171ffaff437c91 (patch)
tree2f3d94f0ad3fddde69fec83c4d65356d60dea479 /modules/tozt/files/post-receive
parentb5fe67cdda8f05ffe814a923b1a69f7169b9db5c (diff)
downloadpuppet-tozt-bf33ac997636c4b6c199cfff1e171ffaff437c91.tar.gz
puppet-tozt-bf33ac997636c4b6c199cfff1e171ffaff437c91.zip
actually, let's make this shared again
Diffstat (limited to 'modules/tozt/files/post-receive')
-rwxr-xr-xmodules/tozt/files/post-receive8
1 files changed, 8 insertions, 0 deletions
diff --git a/modules/tozt/files/post-receive b/modules/tozt/files/post-receive
new file mode 100755
index 0000000..2f26f7c
--- /dev/null
+++ b/modules/tozt/files/post-receive
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -eu
+set -o pipefail
+
+mkdir -p info/web
+git for-each-ref --sort=committerdate --format='%(committerdate)' refs/heads | tail -n1 > info/web/last-modified
+
+git push --mirror github